FROM golang:1.9.2
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY loginsvr /go/bin/
RUN chmod +x /go/bin/logonsvr
COPY logonsvrtest.yaml /go/bin/logonsvrtest.yaml
COPY Redis8Old.json /go/bin/Redis8Old.json
COPY thirdparty.yaml /go/bin/thirdparty.yaml
WORKDIR /go/bin

CMD ["/go/bin/logonsvr"]
EXPOSE 6532
EXPOSE 8181
